diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -9980,7 +9838,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-isolation" xreflabel="transaction_isolation">
-      <term><varname>transaction_isolation</varname> (<type>enum</type>)
+      <term><varname>transaction_isolation</varname> (<type>enum</type>) default is default_transaction_isolation value
       <indexterm>
        <primary>transaction isolation level</primary>
       </indexterm>
@@ -10000,7 +9858,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-read-only" xreflabel="transaction_read_only">
-      <term><varname>transaction_read_only</varname> (<type>boolean</type>)
+      <term><varname>transaction_read_only</varname> (<type>boolean</type>) default is default_transaction_read_only value
       <indexterm>
        <primary>read-only transaction</primary>
       </indexterm>
@@ -10020,7 +9878,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-deferrable" xreflabel="transaction_deferrable">
-      <term><varname>transaction_deferrable</varname> (<type>boolean</type>)
+      <term><varname>transaction_deferrable</varname> (<type>boolean</type>) default is default_transaction_deferrable value
       <indexterm>
        <primary>deferrable transaction</primary>
       </indexterm>
@@ -10041,7 +9899,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
 
      <varlistentry id="guc-session-replication-role" xreflabel="session_replication_role">
-      <term><varname>session_replication_role</varname> (<type>enum</type>)
+      <term><varname>session_replication_role</varname> (<type>enum</type>) default is origin
       <indexterm>
        <primary><varname>session_replication_role</varname> configuration parameter</primary>
       </indexterm>
@@ -10050,7 +9908,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         Controls firing of replication-related triggers and rules for the
         current session.
-        Possible values are <literal>origin</literal> (the default),
+        Possible values are <literal>origin</literal>,
         <literal>replica</literal> and <literal>local</literal>.
         Setting this parameter results in discarding any previously cached
         query plans.
@@ -10085,7 +9943,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-statement-timeout" xreflabel="statement_timeout">
-      <term><varname>statement_timeout</varname> (<type>integer</type>)
+      <term><varname>statement_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>statement_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10097,7 +9955,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         to <literal>ERROR</literal> or lower, the statement that timed out
         will also be logged.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10121,7 +9978,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-transaction-timeout" xreflabel="transaction_timeout">
-      <term><varname>transaction_timeout</varname> (<type>integer</type>)
+      <term><varname>transaction_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>transaction_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10133,7 +9990,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         (started with <command>BEGIN</command>) and to an implicitly started
         transaction corresponding to a single statement.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10157,7 +10013,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-lock-timeout" xreflabel="lock_timeout">
-      <term><varname>lock_timeout</varname> (<type>integer</type>)
+      <term><varname>lock_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>lock_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10172,7 +10028,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         FOR UPDATE</command> without <literal>NOWAIT</literal>) and to implicitly-acquired
         locks.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10194,7 +10049,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-idle-in-transaction-session-timeout" xreflabel="idle_in_transaction_session_timeout">
-      <term><varname>idle_in_transaction_session_timeout</varname> (<type>integer</type>)
+      <term><varname>idle_in_transaction_session_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>idle_in_transaction_session_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10205,7 +10060,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         client query) within an open transaction for longer than the
         specified amount of time.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10220,7 +10074,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-idle-session-timeout" xreflabel="idle_session_timeout">
-      <term><varname>idle_session_timeout</varname> (<type>integer</type>)
+      <term><varname>idle_session_timeout</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>idle_session_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -10231,7 +10085,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         client query), but not within an open transaction, for longer than
         the specified amount of time.
         If this value is specified without units, it is taken as milliseconds.
-        A value of zero (the default) disables the timeout.
        </para>
 
        <para>
@@ -10252,7 +10105,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-bytea-output" xreflabel="bytea_output">
-      <term><varname>bytea_output</varname> (<type>enum</type>)
+      <term><varname>bytea_output</varname> (<type>enum</type>) default is hex
       <indexterm>
        <primary><varname>bytea_output</varname> configuration parameter</primary>
       </indexterm>
@@ -10260,7 +10113,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       <listitem>
        <para>
         Sets the output format for values of type <type>bytea</type>.
-        Valid values are <literal>hex</literal> (the default)
+        Valid values are <literal>hex</literal> 
         and <literal>escape</literal> (the traditional PostgreSQL
         format).  See <xref linkend="datatype-binary"/> for more
         information.  The <type>bytea</type> type always
@@ -10270,7 +10123,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-xmlbinary" xreflabel="xmlbinary">
-      <term><varname>xmlbinary</varname> (<type>enum</type>)
+      <term><varname>xmlbinary</varname> (<type>enum</type>) default is base64
       <indexterm>
        <primary><varname>xmlbinary</varname> configuration parameter</primary>
       </indexterm>
@@ -10282,8 +10135,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         XML by the functions <function>xmlelement</function> or
         <function>xmlforest</function>.  Possible values are
         <literal>base64</literal> and <literal>hex</literal>, which
-        are both defined in the XML Schema standard.  The default is
-        <literal>base64</literal>.  For further information about
+        are both defined in the XML Schema standard.  For further information about
         XML-related functions, see <xref linkend="functions-xml"/>.
        </para>
 
@@ -10298,7 +10150,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-xmloption" xreflabel="xmloption">
-      <term><varname>xmloption</varname> (<type>enum</type>)
+      <term><varname>xmloption</varname> (<type>enum</type>) default is CONTENT
       <indexterm>
        <primary><varname>xmloption</varname> configuration parameter</primary>
       </indexterm>
@@ -10316,7 +10168,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         XML and character string values.  See <xref
         linkend="datatype-xml"/> for a description of this.  Valid
         values are <literal>DOCUMENT</literal> and
-        <literal>CONTENT</literal>.  The default is
         <literal>CONTENT</literal>.
        </para>
 
@@ -10331,7 +10182,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-gin-pending-list-limit" xreflabel="gin_pending_list_limit">
-      <term><varname>gin_pending_list_limit</varname> (<type>integer</type>)
+      <term><varname>gin_pending_list_limit</varname> (<type>integer</type>) default is 4MB
       <indexterm>
        <primary><varname>gin_pending_list_limit</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10344,8 +10195,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         larger than this maximum size, it is cleaned up by moving
         the entries in it to the index's main GIN data structure in bulk.
         If this value is specified without units, it is taken as kilobytes.
-        The default is four megabytes (<literal>4MB</literal>). This setting
-        can be overridden for individual GIN indexes by changing
+        This setting can be overridden for individual GIN indexes by changing
         index storage parameters.
          See <xref linkend="gin-fast-update"/> and <xref linkend="gin-tips"/>
          for more information.
@@ -10354,7 +10204,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-createrole-self-grant" xreflabel="createrole_self_grant">
-      <term><varname>createrole_self_grant</varname> (<type>string</type>)
+      <term><varname>createrole_self_grant</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>createrole_self_grant</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10367,8 +10217,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         is set to a non-empty value, the newly-created role will be granted
         to the creating user with the options specified. The value must be
         <literal>set</literal>, <literal>inherit</literal>, or a
-        comma-separated list of these. The default value is an empty string,
-        which disables the feature.
+        comma-separated list of these. if an empty string then disables the feature.
        </para>
        <para>
         The purpose of this option is to allow a <literal>CREATEROLE</literal>
@@ -10388,7 +10237,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-event-triggers" xreflabel="event_triggers">
-      <term><varname>event_triggers</varname> (<type>boolean</type>)
+      <term><varname>event_triggers</varname> (<type>boolean</type>) default is true
       <indexterm>
        <primary><varname>event_triggers</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10399,15 +10248,15 @@ SET XML OPTION { DOCUMENT | CONTENT };
        Allow temporarily disabling execution of event triggers in order to
        troubleshoot and repair faulty event triggers. All event triggers will
        be disabled by setting it to <literal>false</literal>. Setting the value
-       to <literal>true</literal> allows all event triggers to fire, this
-       is the default value. Only superusers and users with the appropriate
+       to <literal>true</literal> allows all event triggers to fire.
+	   Only superusers and users with the appropriate
        <literal>SET</literal> privilege can change this setting.
       </para>
      </listitem>
      </varlistentry>
 
      <varlistentry id="guc-restrict-nonsystem-relation-kind" xreflabel="restrict_nonsystem_relation_kind">
-      <term><varname>restrict_nonsystem_relation_kind</varname> (<type>string</type>)
+      <term><varname>restrict_nonsystem_relation_kind</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>restrict_nonsystem_relation_kind</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -10431,7 +10280,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      <variablelist>
 
      <varlistentry id="guc-datestyle" xreflabel="DateStyle">
-      <term><varname>DateStyle</varname> (<type>string</type>)
+      <term><varname>DateStyle</varname> (<type>string</type>) - default is ISO, MDY
       <indexterm>
        <primary><varname>DateStyle</varname> configuration parameter</primary>
       </indexterm>
@@ -10450,8 +10299,8 @@ SET XML OPTION { DOCUMENT | CONTENT };
         keywords <literal>US</literal>, <literal>NonEuro</literal>, and
         <literal>NonEuropean</literal> are synonyms for <literal>MDY</literal>. See
         <xref linkend="datatype-datetime"/> for more information. The
-        built-in default is <literal>ISO, MDY</literal>, but
-        <application>initdb</application> will initialize the
+        built-in default can be changed by
+        <application>initdb</application>, which will initialize the
         configuration file with a setting that corresponds to the
         behavior of the chosen <varname>lc_time</varname> locale.
        </para>
@@ -10459,7 +10308,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-intervalstyle" xreflabel="IntervalStyle">
-      <term><varname>IntervalStyle</varname> (<type>enum</type>)
+      <term><varname>IntervalStyle</varname> (<type>enum</type>) - default is postgres
       <indexterm>
        <primary><varname>IntervalStyle</varname> configuration parameter</primary>
       </indexterm>
@@ -10469,7 +10318,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the display format for interval values.
         The value <literal>sql_standard</literal> will produce
         output matching <acronym>SQL</acronym> standard interval literals.
-        The value <literal>postgres</literal> (which is the default) will produce
+        The value <literal>postgres</literal> will produce
         output matching <productname>PostgreSQL</productname> releases prior to 8.4
         when the <xref linkend="guc-datestyle"/>
         parameter was set to <literal>ISO</literal>.
@@ -10490,7 +10339,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-timezone" xreflabel="TimeZone">
-      <term><varname>TimeZone</varname> (<type>string</type>)
+      <term><varname>TimeZone</varname> (<type>string</type>) - default is GMT
       <indexterm>
        <primary><varname>TimeZone</varname> configuration parameter</primary>
       </indexterm>
@@ -10499,7 +10348,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
       <listitem>
        <para>
         Sets the time zone for displaying and interpreting time stamps.
-        The built-in default is <literal>GMT</literal>, but that is typically
+        The default is typically
         overridden in <filename>postgresql.conf</filename>; <application>initdb</application>
         will install a setting there corresponding to its system environment.
         See <xref linkend="datatype-timezones"/> for more information.
@@ -10508,7 +10357,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-timezone-abbreviations" xreflabel="timezone_abbreviations">
-      <term><varname>timezone_abbreviations</varname> (<type>string</type>)
+      <term><varname>timezone_abbreviations</varname> (<type>string</type>) default is 'Default'
       <indexterm>
        <primary><varname>timezone_abbreviations</varname> configuration parameter</primary>
       </indexterm>
@@ -10519,8 +10368,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the collection of additional time zone abbreviations that
         will be accepted by the server for datetime input (beyond any
         abbreviations defined by the current <varname>TimeZone</varname>
-        setting).  The default is <literal>'Default'</literal>,
-        which is a collection that works in most of the world; there are
+        setting).  The default value  is a collection that works in most of the world; there are
         also <literal>'Australia'</literal> and <literal>'India'</literal>,
         and other collections can be defined for a particular installation.
         See <xref linkend="datetime-config-files"/> for more information.
@@ -10529,7 +10377,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-extra-float-digits" xreflabel="extra_float_digits">
-      <term><varname>extra_float_digits</varname> (<type>integer</type>)
+      <term><varname>extra_float_digits</varname> (<type>integer</type>) - default is 1
       <indexterm>
        <primary>significant digits</primary>
       </indexterm>
@@ -10548,7 +10396,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         and geometric data types.
        </para>
        <para>
-        If the value is 1 (the default) or above, float values are output in
+        If the value is 1 or above, float values are output in
         shortest-precise format; see <xref linkend="datatype-float"/>. The
         actual number of digits generated depends only on the value being
         output, not on the value of this parameter. At most 17 digits are
@@ -10579,7 +10427,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-client-encoding" xreflabel="client_encoding">
-      <term><varname>client_encoding</varname> (<type>string</type>)
+      <term><varname>client_encoding</varname> (<type>string</type>) - default is the database encoding.
       <indexterm>
        <primary><varname>client_encoding</varname> configuration parameter</primary>
       </indexterm>
@@ -10588,7 +10436,6 @@ SET XML OPTION { DOCUMENT | CONTENT };
       <listitem>
        <para>
         Sets the client-side encoding (character set).
-        The default is to use the database encoding.
         The character sets supported by the <productname>PostgreSQL</productname>
         server are described in <xref linkend="multibyte-charset-supported"/>.
        </para>
@@ -10596,7 +10443,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-messages" xreflabel="lc_messages">
-      <term><varname>lc_messages</varname> (<type>string</type>)
+      <term><varname>lc_messages</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -10606,7 +10453,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         Sets the language in which messages are displayed.  Acceptable
         values are system-dependent; see <xref linkend="locale"/> for
         more information.  If this variable is set to the empty string
-        (which is the default) then the value is inherited from the
+        then the value is inherited from the
         execution environment of the server in a system-dependent way.
        </para>
 
@@ -10626,7 +10473,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-monetary" xreflabel="lc_monetary">
-      <term><varname>lc_monetary</varname> (<type>string</type>)
+      <term><varname>lc_monetary</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_monetary</varname> configuration parameter</primary>
       </indexterm>
@@ -10637,7 +10484,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         example with the <function>to_char</function> family of
         functions.  Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10645,7 +10492,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-numeric" xreflabel="lc_numeric">
-      <term><varname>lc_numeric</varname> (<type>string</type>)
+      <term><varname>lc_numeric</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_numeric</varname> configuration parameter</primary>
       </indexterm>
@@ -10656,7 +10503,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10664,7 +10511,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-lc-time" xreflabel="lc_time">
-      <term><varname>lc_time</varname> (<type>string</type>)
+      <term><varname>lc_time</varname> (<type>string</type>) - default is ''
       <indexterm>
        <primary><varname>lc_time</varname> configuration parameter</primary>
       </indexterm>
@@ -10675,7 +10522,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
         with the <function>to_char</function> family of
         functions. Acceptable values are system-dependent; see <xref
         linkend="locale"/> for more information.  If this variable is
-        set to the empty string (which is the default) then the value
+        set to the empty string then the value
         is inherited from the execution environment of the server in a
         system-dependent way.
        </para>
@@ -10683,7 +10530,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-icu-validation-level" xreflabel="icu_validation_level">
-      <term><varname>icu_validation_level</varname> (<type>enum</type>)
+      <term><varname>icu_validation_level</varname> (<type>enum</type>) - default is WARNING
       <indexterm>
        <primary><varname>icu_validation_level</varname> configuration parameter</primary>
       </indexterm>
@@ -10703,13 +10550,13 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         If set to <literal>DISABLED</literal>, does not report validation
         problems at all. Otherwise reports problems at the given message
-        level. The default is <literal>WARNING</literal>.
+        level.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-default-text-search-config" xreflabel="default_text_search_config">
-      <term><varname>default_text_search_config</varname> (<type>string</type>)
+      <term><varname>default_text_search_config</varname> (<type>string</type>) - default is pg_catalog.simple
       <indexterm>
        <primary><varname>default_text_search_config</varname> configuration parameter</primary>
       </indexterm>
@@ -10720,8 +10567,8 @@ SET XML OPTION { DOCUMENT | CONTENT };
         of the text search functions that do not have an explicit argument
         specifying the configuration.
         See <xref linkend="textsearch"/> for further information.
-        The built-in default is <literal>pg_catalog.simple</literal>, but
-        <application>initdb</application> will initialize the
+        The built-in default can be changed by
+        <application>initdb</application>, which will initialize the
         configuration file with a setting that corresponds to the
         chosen <varname>lc_ctype</varname> locale, if a configuration
         matching that locale can be identified.
@@ -10771,7 +10618,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
      <variablelist>
      <varlistentry id="guc-local-preload-libraries" xreflabel="local_preload_libraries">
-      <term><varname>local_preload_libraries</varname> (<type>string</type>)
+      <term><varname>local_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>local_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10825,7 +10672,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
 
 
      <varlistentry id="guc-session-preload-libraries" xreflabel="session_preload_libraries">
-      <term><varname>session_preload_libraries</varname> (<type>string</type>)
+      <term><varname>session_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>session_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10868,7 +10715,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-shared-preload-libraries" xreflabel="shared_preload_libraries">
-      <term><varname>shared_preload_libraries</varname> (<type>string</type>)
+      <term><varname>shared_preload_libraries</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>shared_preload_libraries</varname> configuration parameter</primary>
       </indexterm>
@@ -10918,7 +10765,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      </varlistentry>
 
      <varlistentry id="guc-jit-provider" xreflabel="jit_provider">
-      <term><varname>jit_provider</varname> (<type>string</type>)
+      <term><varname>jit_provider</varname> (<type>string</type>) - default is llvmjit
        <indexterm>
         <primary><varname>jit_provider</varname> configuration parameter</primary>
        </indexterm>
@@ -10927,7 +10774,6 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         This variable is the name of the JIT provider library to be used
         (see <xref linkend="jit-pluggable"/>).
-        The default is <literal>llvmjit</literal>.
         This parameter can only be set at server start.
        </para>
 
@@ -10949,7 +10795,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
      <variablelist>
 
      <varlistentry id="guc-dynamic-library-path" xreflabel="dynamic_library_path">
-      <term><varname>dynamic_library_path</varname> (<type>string</type>)
+      <term><varname>dynamic_library_path</varname> (<type>string</type>) default is '$libdir'
       <indexterm>
        <primary><varname>dynamic_library_path</varname> configuration parameter</primary>
       </indexterm>
@@ -10986,8 +10832,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>'$libdir'</literal>. If the value is set to an empty
+        If the value is set to an empty
         string, the automatic path search is turned off.
        </para>
 
@@ -11004,7 +10849,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
      </varlistentry>
 
      <varlistentry id="guc-extension-control-path" xreflabel="extension_control_path">
-      <term><varname>extension_control_path</varname> (<type>string</type>)
+      <term><varname>extension_control_path</varname> (<type>string</type>) default is '$system'
       <indexterm>
        <primary><varname>extension_control_path</varname> configuration parameter</primary>
       </indexterm>
@@ -11044,8 +10889,7 @@ extension_control_path = 'C:\tools\postgresql;H:\my_project\share;$system'
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>'$system'</literal>. If the value is set to an empty
+        If the value is set to an empty
         string, the default <literal>'$system'</literal> is also assumed.
        </para>
 
@@ -11073,7 +10917,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-gin-fuzzy-search-limit" xreflabel="gin_fuzzy_search_limit">
-      <term><varname>gin_fuzzy_search_limit</varname> (<type>integer</type>)
+      <term><varname>gin_fuzzy_search_limit</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>gin_fuzzy_search_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -11096,7 +10940,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      <variablelist>
 
      <varlistentry id="guc-deadlock-timeout" xreflabel="deadlock_timeout">
-      <term><varname>deadlock_timeout</varname> (<type>integer</type>)
+      <term><varname>deadlock_timeout</varname> (<type>integer</type>) default is 1s
       <indexterm>
        <primary>deadlock</primary>
        <secondary>timeout during</secondary>
@@ -11121,7 +10965,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         wasted in needless deadlock checks, but slows down reporting of
         real deadlock errors.
         If this value is specified without units, it is taken as milliseconds.
-        The default is one second (<literal>1s</literal>),
         which is probably about the smallest value you would want in
         practice. On a heavily loaded server you might want to raise it.
         Ideally the setting should exceed your typical transaction time,
@@ -11142,7 +10985,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-max-locks-per-transaction" xreflabel="max_locks_per_transaction">
-      <term><varname>max_locks_per_transaction</varname> (<type>integer</type>)
+      <term><varname>max_locks_per_transaction</varname> (<type>integer</type>) default is 64
       <indexterm>
        <primary><varname>max_locks_per_transaction</varname> configuration parameter</primary>
       </indexterm>
@@ -11157,8 +11000,8 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         locks used by each transaction; individual transactions
         can lock more objects as long as the locks of all transactions
         fit in the lock table.  This is <emphasis>not</emphasis> the number of
-        rows that can be locked; that value is unlimited.  The default,
-        64, has historically proven sufficient, but you might need to
+        rows that can be locked; that value is unlimited.  The default value
+        has historically proven sufficient, but you might need to
         raise this value if you have queries that touch many different
         tables in a single transaction, e.g., query of a parent table with
         many children.  This parameter can only be set at server start.
